import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotFlyerSiteLog/` + url, ...arg)

/**
 * 飞行监管Api接口管理器
 *
 * @author xiang
 * @date  2023/09/19 09:12
 **/
export default {
	// 获取飞行监管分页
	depotFlyerSiteLogPage(data) {
		return request('page', data, 'get')
	},
	// 获取飞行监管列表
	depotFlyerSiteLogList(data) {
		return request('list', data, 'get')
	},
	// 提交飞行监管表单 edit为true时为编辑，默认为新增
	depotFlyerSiteLogSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 提交飞行监管表单 edit为true时为编辑，默认为新增
	depotFlyerSiteLogProcessFinish(data) {
		return request('processFinish', data)
	},
	// 删除飞行监管
	depotFlyerSiteLogDelete(data) {
		return request('delete', data)
	},
	// 获取飞行监管详情
	depotFlyerSiteLogDetail(data) {
		return request('detail', data, 'get')
	}
}
